src/base/cs_log_iteration.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_log_iteration.c File Reference

Log field and other array statistics at relevant time steps. More...

`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "cs_array_reduce.h"`
`#include "cs_base.h"`
`#include "cs_field.h"`
`#include "cs_log.h"`
`#include "cs_map.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_location.h"`
`#include "cs_parall.h"`
`#include "cs_prototypes.h"`
`#include "cs_time_step.h"`
`#include "cs_log_iteration.h"`
Include dependency graph for cs_log_iteration.c:

## Functions
void | cs_log_init_moments (const cs_real_t *cumulative_time)
| Initialize logging of moments. More...
void | cs_log_iteration_destroy_all (void)
| Free arrays possible used by logging of array statistics. More...
void | cs_log_iteration (void)
| Log field and other array statistics for the current time step. More...
void | cs_log_iteration_add_array (const char *name, const char *category, const cs_mesh_location_type_t loc_id, bool is_intensive, int dim, const cs_real_t val[])
| Add or update array not saved as permanent field to iteration log. More...
void | cs_log_iteration_clipping (const char *name, int dim, cs_lnum_t n_clip_min, cs_lnum_t n_clip_max, const cs_real_t min_pre_clip[], const cs_real_t max_pre_clip[])
| Add or update clipping info for a given array. More...
void | cs_log_iteration_clipping_field (int f_id, cs_lnum_t n_clip_min, cs_lnum_t n_clip_max, const cs_real_t min_pre_clip[], const cs_real_t max_pre_clip[])
| Add or update clipping info for a field. More...

## Detailed Description

Log field and other array statistics at relevant time steps.

## Function Documentation

void cs_log_init_moments | ( | const cs_real_t * | cumulative_time | ) |

Initialize logging of moments.

(end ignore by Doxygen)

Currently, an external cumulative time array is simply mapped to the logging API.

void cs_log_iteration | ( | void |  | ) |

Log field and other array statistics for the current time step.

void cs_log_iteration_add_array | ( | const char * | name,
|  | const char * | category,
|  | const cs_mesh_location_type_t | loc_id,
|  | bool | is_intensive,
|  | int | dim,
|  | const cs_real_t | val[]
| ) |  |

Add or update array not saved as permanent field to iteration log.

Parameters

  [in] | name | array name
  [in] | category | category name
  [in] | loc_id | associated mesh location id
  [in] | is_intensive | are the matching values intensive ?
  [in] | dim | associated dimension (interleaved)
  [in] | val | associated values

void cs_log_iteration_clipping | ( | const char * | name,
|  | int | dim,
|  | cs_lnum_t | n_clip_min,
|  | cs_lnum_t | n_clip_max,
|  | const cs_real_t | min_pre_clip[],
|  | const cs_real_t | max_pre_clip[]
| ) |  |

Add or update clipping info for a given array.

Parameters

  [in] | name | field or array name
  [in] | dim | associated dimension
  [in] | n_clip_min | number of local clippings to minimum value
  [in] | n_clip_max | number of local clippings to maximum value
  [in] | min_pre_clip | minimum values prior to clipping
  [in] | max_pre_clip | maximum values prior to clipping

void cs_log_iteration_clipping_field | ( | int | f_id,
|  | cs_lnum_t | n_clip_min,
|  | cs_lnum_t | n_clip_max,
|  | const cs_real_t | min_pre_clip[],
|  | const cs_real_t | max_pre_clip[]
| ) |  |

Add or update clipping info for a field.

Parameters

  [in] | f_id | associated field id
  [in] | n_clip_min | number of local clippings to minimum value
  [in] | n_clip_max | number of local clippings to maximum value
  [in] | min_pre_clip | minimum values prior to clipping
  [in] | max_pre_clip | maximum values prior to clipping

void cs_log_iteration_destroy_all | ( | void |  | ) |

Free arrays possible used by logging of array statistics.